%define __libtoolize /bin/true

Name: 		pidgin-sipe
Version: 	1.17.3
Release: 	%mkrel 1
URL: 		http://sipe.sourceforge.net/
License: 	GPLv2+
Group: 		Networking/Instant messaging
Source: 	http://downloads.sourceforge.net/project/sipe/sipe/%{name}-%{version}/%{name}-%{version}.tar.bz2
Summary: 	Pidgin protocol (SIP/SIMPLE) plugin to connect to MS Office Communicator
BuildRequires:	pidgin-devel
BuildRequires:	glib2-devel >= 2.28.0
BuildRequires:	gettext
BuildRequires:	krb5-devel
BuildRequires:	libxml2-devel
BuildRequires:	intltool
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libnice-devel >= 0.1.0
BuildRequires:	nss-devel

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:
    * Microsoft Office 365
    * Microsoft Business Productivity Online Suite (BPOS)
    * Microsoft Lync Server
    * Microsoft Office Communications Server (OCS 2007/2007 R2)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

%prep
%setup -q

%build
%configure --with-krb5 --enable-purple --disable-telepathy
%make

%check
%make check

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete -print
# Pidgin doesn't have 24 or 32 pixel icons
rm -f \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/24/sipe.png \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/32/sipe.png

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.*


%changelog
* Mon Dec 23 2013 dams <dams> 1.17.3-1.mga4
+ Revision: 560063
- new version 1.17.3

* Thu Nov 28 2013 dams <dams> 1.17.1-1.mga4
+ Revision: 553857
- new version 1.17.1

* Sat Oct 19 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 536205
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 dams <dams> 1.17.0-1.mga4
+ Revision: 483670
- new version 1.17.0

* Mon Jul 15 2013 dams <dams> 1.16.1-1.mga4
+ Revision: 454537
- new version 1.16.1

* Sun Jun 16 2013 dams <dams> 1.16.0-1.mga4
+ Revision: 443823
- new version 1.16.0

* Tue Apr 09 2013 dams <dams> 1.15.1-1.mga3
+ Revision: 409161
- new version 1.15.1

* Mon Mar 11 2013 dams <dams> 1.15.0-1.mga3
+ Revision: 402100
- new version 1.5.0

* Sun Jan 13 2013 umeabot <umeabot> 1.14.1-2.mga3
+ Revision: 377739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 dams <dams> 1.14.1-1.mga3
+ Revision: 337878
- new version 1.14.1

* Mon Dec 17 2012 dams <dams> 1.14.0-1.mga3
+ Revision: 332221
- new version 1.14.0
- add %%check to specfile

* Thu Aug 30 2012 dams <dams> 1.13.3-1.mga3
+ Revision: 285790
- new version 1.13.3

* Wed Jun 27 2012 dams <dams> 1.13.2-1.mga3
+ Revision: 264413
- new version 1.13.2

* Wed Apr 25 2012 dams <dams> 1.13.1-1.mga2
+ Revision: 233253
- new version 1.13.1

* Wed Mar 28 2012 dams <dams> 1.13.0-1.mga2
+ Revision: 227281
- new version 1.13.0
- remove unneeded patch (merged upstream)
- add nss-devel as BR

* Mon Jan 09 2012 dams <dams> 1.12.0-2.mga2
+ Revision: 194039
- add libnice as BR to enable audio/video

* Mon Jan 09 2012 dams <dams> 1.12.0-1.mga2
+ Revision: 194028
- add patch to replace deprecated glib2 functions (from fedora)
- do not libtoolize as weird things happen for some reason
- new version 1.12.0
- clean and update specfile
- imported package pidgin-sipe


* Thu Apr 15 2010 Buchan Milne <bgmilne@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 535059
- Update to 1.10.0
- Disable telepathy support for now (requires newere gmime)

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 1.9.1-1mdv2010.1
+ Revision: 532014
- New version 1.9.1
- dont libtoolize, weird things happen for some reason

* Tue Oct 27 2009 Buchan Milne <bgmilne@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 459489
- Add pidgin-sipe spec and source

  + Bruno Cornec <bcornec@mandriva.org>
    - create pidgin-sipe

